Skip to main content
POST
/
api
/
v1
/
agent-files
/
{agent_id}
/
files
Upload Agent File
curl --request POST \
  --url https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form file='@example-file'
import requests

url = "https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"x-api-key": "<api-key>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

options.body = form;

fetch('https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "bucket_path": "<string>",
  "size": 123,
  "mime_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string<uuid> | null
required

Body

multipart/form-data
file
file
required

Response

Successful Response

id
string<uuid>
required
agent_id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
bucket_path
string
required
size
integer | null
required
mime_type
string | null
required
created_at
string<date-time>
updated_at
string<date-time> | null
metadata
Metadata · object